Uploaded image for project: 'OpenMRS Core'
  1. OpenMRS Core
  2. TRUNK-2344

Upgrade Spring framework to latest stable release or atleast 3.0.3

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Should
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: OpenMRS 1.8.1, OpenMRS 1.9.0
    • Component/s: None
    • Labels:
      None
    • Complexity:
      Low

      Description

      The spring framework is at version 3.0.5 for the general availability releases. There are many bugfixes and improvements in the newer versions, changelog here: http://static.springsource.org/spring/docs/3.0.x/changelog.txt

      The main requirement for upgrading to atleast 3.0.3 is that Spring ETag filter for supporting out of the box Shallow ETags was fixed in 3.0.3 release. Etags can be used to saving bandwidth: http://www.infoq.com/articles/etags . Also, RESTWS-6 may depend on this issue, if we want to use Spring shallow Etags in atleast REST calls.

      If we have not many any custom changes to Spring libraries, it should be fairly simple to upgrade to the latest GA release.

        Gliffy Diagrams

          Attachments

            Issue Links

              Attachments-Category-Modification

                Activity

                  People

                  • Assignee:
                    sunbiz Saptarshi Purkayastha
                    Reporter:
                    sunbiz Saptarshi Purkayastha
                  • Votes:
                    0 Vote for this issue
                    Watchers:
                    6 Start watching this issue

                    Dates

                    • Created:
                      Updated:
                      Resolved: